Skip to main content
GET
/
api
/
v1
/
local
/
session
/
{namespace}
/
{sessionId}
/
extended
Get extended session state
curl --request GET \
  --url https://api.coralcloud.ai/api/v1/local/session/{namespace}/{sessionId}/extended \
  --header 'Authorization: Bearer <token>'
{
  "base": {
    "id": "<string>",
    "timestamp": "<string>",
    "namespace": "<string>",
    "status": {
      "type": "closing",
      "executionTime": "<string>",
      "closingTime": "<string>"
    },
    "annotations": {}
  },
  "agents": [
    {
      "name": "<string>",
      "registryAgentIdentifier": {
        "name": "<string>",
        "version": "<string>",
        "registrySourceId": {
          "type": "linked",
          "linkedServerId": "<string>"
        }
      },
      "status": {
        "type": "running",
        "connectionStatus": {
          "type": "connected",
          "communicationStatus": {
            "type": "sleeping"
          }
        },
        "startTime": "<string>"
      },
      "links": [
        "<string>"
      ],
      "annotations": {},
      "description": "<string>"
    }
  ],
  "threads": [
    {
      "id": "<string>",
      "name": "<string>",
      "creatorName": "<string>",
      "participants": [
        "<string>"
      ],
      "messages": [
        {
          "id": "<string>",
          "threadId": "<string>",
          "text": "<string>",
          "senderName": "<string>",
          "mentionNames": [
            "<string>"
          ],
          "timestamp": "<string>"
        }
      ],
      "state": {
        "state": "closed",
        "summary": "<string>",
        "timestamp": "<string>"
      },
      "timestamp": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

The namespace of the session

sessionId
string
required

The sessionId of the session

Response

Success

The state of a running session

base
SessionStateBase · object
required

Base session state

agents
SessionAgentState · object[]
required

A list of the states of all agents in this session

threads
SessionThread · object[]
required

A list of the states of all threads in this session